<div class="p-grid create-topic ">

    <div class="p-col-12">
        <p-card styleClass="card-forum-title">
            <div class="forum-title">
                <em class="pi pi-lock" *ngIf="forum.locked"
                    tooltipPosition="top"
                    [pTooltip]="lang.getLocked()"></em>
                <em class="pi pi-lock-open" *ngIf="!forum.locked"
                    tooltipPosition="top"
                    [pTooltip]="lang.getUnlocked()"></em>
                {{ forum?.name }}
            </div>
            <div class="forum-description">
                {{ forum?.description }}
            </div>
        </p-card>
    </div>

    <div class="p-col-12" *ngIf="!util.blockedUI">
        <p-card>
            <div class="p-grid">
                <div class="p-col-12">
                    <h2>{{ lang.getCreateTopic() }}</h2>
                </div>
                <div class="p-col-12 p-xl-6">
                    <label for="name">{{lang.getTopic()}}:</label>
                    <input id="name" type="text" pInputText [tabindex]="1"
                           (input)="createSlug()" [disabled]="topic.id > 0" [readOnly]="topic.id > 0"
                           [(ngModel)]="topic.name">
                </div>
                <div class="p-col-12 p-xl-6">
                    <label for="slug">{{lang.getSlug()}}:</label>
                    <input id="slug" type="text" pInputText
                           [(ngModel)]="topic.slug"
                           [disabled]="true" [readOnly]="true">
                </div>
            </div>
            <div class="p-grid">
                <div class="p-col-12">
                    <div class="p-grid p-nogutter">
                        <div class="p-col-12 p-col-nogutter">
                            <label>{{ lang.getDescription() }}:</label>
                            <p-editor #topicEditor [(ngModel)]="topic.body"
                                      [style]="{'height': getEditorSize()+'rem'}"
                                      [tabindex]="2">
                            </p-editor>
                        </div>
                    </div>
                    <div class="p-grid p-justify-end p-nogutter">
                        <div class="p-col-12 p-xl-2 p-col-nogutter">
                            <div class="p-inputgroup" style="display: block; text-align: right;">
                                <button pButton icon="pi pi-angle-up"
                                        [pTooltip]="'Reduzir tamanho do editor.'"
                                        tooltipPosition="top"
                                        (click)="addSize(-10)"></button>
                                <button pButton icon="pi pi-angle-down"
                                        [pTooltip]="'Aumentar tamanho do editor.'"
                                        tooltipPosition="top"
                                        (click)="addSize(10)"></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="p-grid">
                <div class="p-col-12 p-xl-2">
                    <label for="locked">{{ lang.getLocked() }}:</label>
                    <p-toggleButton id="locked" [onLabel]="lang.getLocked()" [offLabel]="lang.getLocked()"
                                    onIcon="pi pi-check" offIcon="pi pi-times" [tabindex]="3"
                                    [(ngModel)]="topic.locked">
                    </p-toggleButton>
                </div>
                <div class="p-col-12 p-xl-10">
                    <label for="tags">{{ lang.getTags() }}:</label>
                    <p-chips id="tags" [(ngModel)]="tags" [max]="20"
                             (onRemove)="rmTopicTag($event)" (onAdd)="addTopicTag($event)"
                             [placeholder]="lang.getTagsList()" [tabindex]="4"
                             [addOnBlur]="true" [addOnTab]="true" [allowDuplicate]="false">
                        <ng-template let-item pTemplate="item">
                            <i class="pi pi-tag" style="vertical-align: middle; color: darkgoldenrod;"></i>
                            <span style="margin: 0 1.5rem 0 0.5rem;">{{item}}</span>
                        </ng-template>
                    </p-chips>
                </div>
            </div>

            <div class="p-grid p-nogutter">
                <div class="p-col-12">
                    <div style="border-top: 1px solid rgba(90, 90, 90, 0.5); padding: 0.5rem 0;"></div>
                </div>
            </div>
            <div class="p-grid p-justify-end">
                <div class="p-col-12 p-xl-2">
                    <button pButton class="p-button-raised p-button-secondary"
                            [label]="lang.getCancel()" icon="pi pi-times"
                            [routerLink]="['/']"></button>
                </div>
                <div class="p-col-12 p-xl-2">
                    <button pButton class="p-button-raised"
                            [label]="lang.getSave()" icon="pi pi-check"
                            (click)="saveTopic()"></button>
                </div>
            </div>

        </p-card>
    </div>

</div>

